All resources All frames

# Resource

The basic class for all resources. This base class provides support for persistency.

## Inherits

The Resource is the most simple resource in Jigsaw.

## Attributes description

The Resource defines the following attributes:

- identifier
- last-modified

`identifier`

semantics
  The name of that resource. This name is the key of the resource in its resource store. You can change it, the resource store will take the appropriate actions.
type
  This attribute is an editable StringAttribute
default value
  This attribute defaults to null.

`last-modified`

semantics
  Last modified time.
type
  This attribute is an editable DateAttribute
default value
  This attribute defaults to null.

Jigsaw Team
$Id: org.w3c.tools.resources.Resource.html,v 1.3 1998/03/27 08:26:10 bmahe Exp $